### Method

# CM Client set_user_id

#### Declaration [src]

    gboolean
    cm_client_set_user_id (
      CmClient* self,
      const char* matrix_user_id
    )

#### Description [src]

Set the client matrix user ID. This can be set only before the account has been enabled and never after.

#### Parameters

`matrix_user_id`

  Type: `const char*`

  A fully qualified matrix user ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `matrix_user_id` was successfully set, `FALSE` otherwise.